<ion-header>
  <ion-toolbar color="danger">
    <ion-buttons>
      <ion-button position="float" icon-only color="light" [routerLink]="['/view-staff']" ><ion-icon name="close"></ion-icon></ion-button>
      <ion-title>View Contract</ion-title>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-item>
    <ion-label>
      {{ staff.name }}
    </ion-label>
  </ion-item>
  
  <ion-button class="ion-margin ion-align-items-center" (click)="openAddPage(staff._id)" color="danger">Add New Contract</ion-button>

  <ion-item>
    <ion-label>
      <h3>List of Contracts</h3>
    </ion-label>
  </ion-item>
  
  <ion-list>
    <ion-item-sliding *ngFor="let item of staff_contracts">
      <ion-item>
        <ion-label>
          <h3>Date Start: {{ item.date_start.substr(0, 10) }}</h3>
          <h3>Date End: {{ item.date_end.substr(0, 10) }}</h3>
          <p>Status: {{ item.status? 'Active' : 'Not active' }}</p>
          <p>Salary: {{ item.salary }}</p>
        </ion-label>
      </ion-item>
  
      <ion-item-options side="end">
        <ion-item-option color="warning" (click)="openUpdatePage(item._id)">
          <ion-icon slot="icon-only" name="create" color="light"></ion-icon>
        </ion-item-option>
      </ion-item-options>
    </ion-item-sliding>
  </ion-list>
</ion-content>
